lucene-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Dawid Weiss <dawid.we...@cs.put.poznan.pl>
Subject Re: Build fail for tests
Date Mon, 03 Sep 2012 08:30:27 GMT
> D:\workspace\lucene-trunk\lucene\common-build.xml:741: At least JUnit
> version 4.10 is required on junit4's taskdef classpath.
>
> Does anyone know what can cause this?

Yes. You need JUnit 4.10 or later on classpath where junit4 is
defined. Exactly what it says above. If you share your modifications
it'll be easier to help you. Look at junit4 taskdef though --

  <target name="install-junit4-taskdef" depends="ivy-configure">
    <!-- JUnit4 taskdef. -->
    <ivy:resolve   file="${common.dir}/test-framework/ivy.xml"
type="jar" log="quiet" />
    <ivy:cachepath file="${common.dir}/test-framework/ivy.xml"
conf="junit4-stdalone" type="jar" transitive="false"
pathid="path.junit4" />

    <taskdef uri="antlib:com.carrotsearch.junit4">
      <classpath refid="path.junit4" />
    </taskdef>
  </target>

the ivy file declares dependencies:

      <dependency org="junit" name="junit" rev="4.10"
transitive="false" conf="default->*;junit4-stdalone->*" />
      <dependency org="com.carrotsearch.randomizedtesting"
name="junit4-ant" rev="2.0.0.rc5" transitive="false"
conf="default->*;junit4-stdalone->*" />
      <dependency org="com.carrotsearch.randomizedtesting"
name="randomizedtesting-runner" rev="2.0.0.rc5" transitive="false"
conf="default->*;junit4-stdalone->*" />

Dawid

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@lucene.apache.org
For additional commands, e-mail: dev-help@lucene.apache.org


Mime
View raw message